Name:           djview4
Epoch:          0
Version:        4.12
Release:        %mkrel 3
Summary:        DjVu viewer
License:        GPLv2+
Group:          Publishing
URL:            https://djvu.sourceforge.net/djview4.html
Source0:        https://downloads.sourceforge.net/djvu/djview-%{version}.tar.gz
BuildRequires:  pkgconfig(ddjvuapi)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  qttools5
BuildRequires:  pkgconfig(libtiff-4)
Obsoletes:      mozilla-plugin-dejavu < 4.10.6-4

%description
This package contains the djview4 viewer.

Highlights:

- Entirely based on the public djvulibre API.
- Entirely written in portable Qt4.
- Works with Qt/X11, Qt/Mac, and Qt/Windows.
- Continuous scrolling of pages.
- Side-by-side display of pages.
- Ability to specify a URL to the djview command.
- All plugin and CGI options available from the command line.
- All silly annotations implemented.
- Display thumbnails as a grid.
- Display outlines.
- Page names supported (see djvused command set-page-title).
- Metadata dialog (see djvused command set-meta).
- Implemented as reusable Qt widgets.

%prep
%setup -q

%build
./autogen.sh
%configure --disable-nsdejavu
%make_build

%install
%make_install

ln -s %{_bindir}/djview %{buildroot}%{_bindir}/%{name}

%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
%{__cp} -a desktopfiles/prebuilt-hi32-%{name}.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/djvulibre-%{name}.png
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps
%{__cp} -a desktopfiles/prebuilt-hi64-%{name}.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/djvulibre-%{name}.png
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
%{__cp} -a desktopfiles/djview.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/djvulibre-%{name}.svg

%{__cp} %{buildroot}%{_mandir}/man1/djview.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc COPYING COPYRIGHT NEWS README README_translations
%{_bindir}/djview
%{_bindir}/%{name}
%{_datadir}/djvu/%{name}/
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/djview.1*
%{_datadir}/applications/djvulibre-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/djvulibre-%{name}.*
%{_datadir}/icons/hicolor/*/mimetypes/djvulibre-%{name}.*


%changelog
* Mon Dec 12 2022 ns80 <ns80> 0:4.12-3.mga9
+ Revision: 1920980
- rebuild for new libtiff

* Sun Apr 03 2022 umeabot <umeabot> 0:4.12-2.mga9
+ Revision: 1842359
- Mageia 9 Mass Rebuild

* Thu Mar 11 2021 daviddavid <daviddavid> 0:4.12-1.mga9
+ Revision: 1701410
- new version: 4.12

* Sun Aug 30 2020 luigiwalser <luigiwalser> 0:4.10.6-4.mga8
+ Revision: 1619868
- obsolete mozilla-plugin-dejavu
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Sat Feb 15 2020 umeabot <umeabot> 0:4.10.6-3.mga8
+ Revision: 1524555
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Mar 30 2019 umeabot <umeabot> 0:4.10.6-2.mga7
+ Revision: 1381537
- Qt5 Rebuild

* Sat Jan 05 2019 daviddavid <daviddavid> 0:4.10.6-1.mga7
+ Revision: 1349371
- new version: 4.10.6

* Sun Sep 23 2018 umeabot <umeabot> 0:4.10.5-3.mga7
+ Revision: 1297456
- Mageia 7 Mass Rebuild

* Fri Jan 08 2016 alexl <alexl> 0:4.10.5-2.mga6
+ Revision: 920524
- build with qt5

* Thu Jan 07 2016 alexl <alexl> 0:4.10.5-1.mga6
+ Revision: 920497
- version 4.10.5
- del upstreamed comment-for-desktop-file.patch
- use desktop file from upstream
- del %%defattr, %%attr
- cleanup spec and adapt it for new version
- s/makeinstall_std/make_install/
- add Comment for desktop file (was generated from TS files)

* Wed Oct 15 2014 umeabot <umeabot> 0:4.9-6.mga5
+ Revision: 749538
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0:4.9-5.mga5
+ Revision: 726141
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0:4.9-4.mga5
+ Revision: 678760
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0:4.9-3.mga4
+ Revision: 503908
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0:4.9-2.mga3
+ Revision: 348830
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 29 2012 shlomif <shlomif> 0:4.9-1.mga3
+ Revision: 248839
- New version: 4.9

* Fri Dec 23 2011 fwang <fwang> 0:4.8-2.mga2
+ Revision: 186504
- rebuild for new libtiff

* Mon Sep 26 2011 shlomif <shlomif> 0:4.8-1.mga2
+ Revision: 148768
- New version - 4.8
- Bump to version 4.7 and update to the Mandriva-originated package
+ supp <supp>
- imported package djview4

